<!DOCTYPE html>
<html>
	<head>
		<title>Test der Methoden "GET" und "POST"</title>
	</head>
	<body>
		<!-- 
			Als "method" kann nachfolgend "GET" oder "POST" verwendet werden. 
			Beachten Sie, wie die URL im Browser anders aussieht. 
			In beiden Fällen werden die Suchangaben auf der Webseite richtig übernommen. 

			Auf welche Weise (wo) werden die Suchangaben an die Webseite tel.search.ch weitergegeben?
		!--> 
		
		<form action="http://tel.search.ch" method="get">
			<div>
				<label for="say">Nach welchem Namen suchen?</label>
				<input name="was" id="was" value="meier">
			</div>
			<div>
				<label for="wo">Innerhalb welcher Ortschaft?</label>
				<input name="wo" value="neuenburg">
			</div>
			<div>
				<label for="private">Nur Privatadressen suchen?</label>
				<input type="checkbox" name="privat" checked="" value="1">
			</div>
			<div>
				<button>Adressen suchen</button>
			</div>
		</form>
		
		<br>
		
		<!-- nachfolgend eine völlig identische Form. Einziger Unterschied: Methode "post" -->
		
		<form action="http://tel.search.ch" method="post">
			<div>
				<label for="say">Nach welchem Namen suchen?</label>
				<input name="was" id="was" value="meier">
			</div>
			<div>
				<label for="wo">Innerhalb welcher Ortschaft?</label>
				<input name="wo" value="neuenburg">
			</div>
			<div>
				<label for="private">Nur Privatadressen suchen?</label>
				<input type="checkbox" name="privat" checked="" value="1">
			</div>
			<div>
				<button>Adressen suchen</button>
			</div>
		</form>
	</body>
</html>